Skip to main content
GET
/
attributes
/
list
List Google Attributes
curl --request GET \
  --url https://api.partoo.co/v2/attributes/list \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/attributes/list"

headers = {"x-APIKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/attributes/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "groups": [
    {
      "attributes": [
        {
          "gmb_id": "gcid:restaurant",
          "name": "Delivery",
          "order": 1
        }
      ],
      "name": "Services disponibles",
      "order": 5
    }
  ]
}
{
"errors": {
"json": {
"lang": "is required",
"category_name": "is required"
}
}
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Query Parameters

category_name
string
required

Category for which availabe attributes will be fetched.

Example:

"gcid:restaurant"

country
string

Country for which available attributes will be fetched - use ISO 3166 alpha2 code ("FR", "EN", "IT").

lang
enum<string>

Language in which the attributes name and groups name will be translated. If language is not specified, by default we take the language of the user.

Available options:
fr,
es,
it,
en,
de,
pt,
pt-BR

Response

OK

groups
object[]

List of Google Groups